#!/usr/bin/php
<?php
function isDaemonActive($pid_file) {
    if( is_file($pid_file) ) {
        $pid = file_get_contents($pid_file);
        //проверяем на наличие процесса
        if(posix_kill($pid,0)) {
             //демон уже запущен
            return true;
        } else {
            if(!unlink($pid_file)) {
                exit(-1);
            }
        }
    }
    return false;
}
if (isDaemonActive('/tmp/daemon.pid')) {
    echo 'Daemon already active'.PHP_EOL;
    die();
}
$child_pid = pcntl_fork();
if ($child_pid) {
    exit();
}
posix_setsid();

$baseDir = dirname(__FILE__);
ini_set('error_log',$baseDir.'/log/error.log');
fclose(STDIN);
fclose(STDOUT);
fclose(STDERR);
$STDIN = fopen('/dev/null', 'r');
$STDOUT = fopen($baseDir.'/log/daemon.log', 'ab');
$STDERR = fopen($baseDir.'/log/errors.log', 'ab');

include 'classes/Daemonclass.php';
$daemon = new DaemonClass();
$daemon->run();
?>
